Mac OS X version 10.6 (Snow Leopard) is supported with the latest version of the Citrix Plug-in. Download and install the Citrix Online Web Plug-in before accessing Hosted applications on Mac OS X 10.6. 

See Citrix's System Requirements for more information.